import { EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { SettingsService } from '@delon/theme';
export declare class IdentityRoleRolesCreateComponent {
    private settingService;
    visible: boolean;
    visibleChange: EventEmitter<boolean>;
    ok: EventEmitter<void>;
    saving: boolean;
    formGroup: FormGroup;
    constructor(settingService: SettingsService);
    handleOk(): void;
    handleCancel(): void;
}
